Skip to main content
GET
/
api
/
v2
/
templates
Get workflow templates
curl --request GET \
  --url https://app.launchdarkly.com/api/v2/templates \
  --header 'Authorization: <api-key>'
{
  "items": [
    {
      "_id": "<string>",
      "_key": "<string>",
      "_creationDate": 123,
      "_ownerId": "<string>",
      "_maintainerId": "<string>",
      "_links": {},
      "name": "<string>",
      "description": "<string>",
      "stages": [
        {
          "_id": "12ab3c45de678910abc12345",
          "conditions": [
            {
              "_execution": {
                "status": "completed"
              },
              "id": "12ab3c45de678910abc12345",
              "kind": "schedule",
              "scheduleKind": "relative",
              "waitDuration": 2,
              "waitDurationUnit": "calendarDay"
            }
          ],
          "action": "{ \"kind\": \"patch\", \"instructions\": [{ \"kind\": \"turnFlagOn\"}] }",
          "_execution": "{ \"status\": \"completed\" }",
          "name": "10% rollout on day 1"
        }
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Query Parameters

summary
boolean

Whether the entire template object or just a summary should be returned

The substring in either the name or description of a template

Response

Workflow templates list response JSON

items
object[]
required